﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp1a_tax
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        // Rename: F2 or CTRL+R+R
        private void Calc_Click(object sender, RoutedEventArgs e)
        {
            string s = String.Empty;
            try
            {
                double income = double.Parse(txtIncome.Text);
                double percentage = double.Parse(txtTaxPct.Text);
                double prepaid = double.Parse(txtPrepaid.Text);
                double result = income * percentage / 100 - prepaid;

                if (result > 0)
                    s = "MUST PAY: " + result;
                else if (result < 0)
                    s = "OVERPAID: " + (-result);
                else
                    s = "ALL IS OK";
            }
            catch (FormatException ex)
            {
                s = "NOT A NUMBER";
            }
            catch (OverflowException ex)
            {
                s = "TOO BIG NUMBER";
            }
            lblResult.Content = s;
            MessageBox.Show(s);

        }

    }
}
